summaryrefslogtreecommitdiffstats
path: root/source/n/gnupg2/gnupg2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/gnupg2/gnupg2.SlackBuild')
-rwxr-xr-xsource/n/gnupg2/gnupg2.SlackBuild46
1 files changed, 36 insertions, 10 deletions
diff --git a/source/n/gnupg2/gnupg2.SlackBuild b/source/n/gnupg2/gnupg2.SlackBuild
index 3f3b4ccf0..1faf1666d 100755
--- a/source/n/gnupg2/gnupg2.SlackBuild
+++ b/source/n/gnupg2/gnupg2.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
-# Copyright 2006-2009 Robby Workman, Northport, AL, USA
-# Copyright 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006-2010 Robby Workman, Northport, AL, USA
+# Copyright 2007-2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,22 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PKGNAME=gnupg2
-VERSION=2.0.12
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-1}
+PKGNAM=gnupg2
+VERSION=${VERSION:-$(echo gnupg-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-gnupg
@@ -42,6 +51,9 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
@@ -49,8 +61,11 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf gnupg-$VERSION
-tar xvf $CWD/gnupg-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/gnupg-$VERSION.tar.?z* || exit 1
cd gnupg-$VERSION
+
+zcat $CWD/gnupg-2.0.14-encode-s2k.patch.gz | patch -p0 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -62,18 +77,21 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --sysconfdir=/etc \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--infodir=/usr/info \
--docdir=/usr/doc/gnupg2-$VERSION \
--program-prefix="" \
--program-suffix="" \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Create directory for global gpg.conf:
+mkdir -p $PKG/etc/gnupg
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -114,14 +132,22 @@ mv Controlling-gpg_002dconnect_002dagent.html Controlling-gpg_connect_agent.html
mv Agent-GET_005fPASSPHRASE.html Agent-GET_PASSPHRASE.html
mv option-_002d_002dhomedir.html option-homedir.html
mv PKCS_002315-Card.html PKCS-15-Card.html
+mv option-_002d_002dexport_002downertrust.html option-export_ownertrust.html
)
# Move html doc to the proper location
mv $PKG/usr/doc/gnupg2-$VERSION/faq.html $PKG/usr/doc/gnupg2-$VERSION/html/
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAME-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz